Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: martin rudalics <[email-masked]>
Date: Thu, 16 Sep 2021 08:56:48 +0200

>     > > The point is not to display unnecessary warnings.  The point is only
 >     > > to display warnings for custom variables that should not be set with
 >     > > setq because they have a :set form, or IOW, to display warnings for
 >     > > custom variables that should be set with customize-set-variables.
 >
 >    > I checked most of our uses of :set and agree that they usually behave
 >    > well-mannered so using `setq' instead is practically always a bug
 >    > indeed.
 >
 > I am puzzled by that statement.  First, it seems to say that the
 > definitions of the variables are careful,

I probably should have said "that the definitions of the variables have
been written carefully" so nobody would have come to a conclusion like

 > so that they DTRT if the
 > user sets one with setq in an init file.

which is not what I had in mind.

 > Then it seems to say that setting one of these variable with setq (in
 > an init file?) is almost surely a bug.

This is the conclusion I had in mind.

 > Those two statements are almost opposites.
 >
 > Did I misunderstand?

Either you did or my formulation was bad.

martin.